EXTRA_DIST= README LICENSE yazpp.m4 buildconf.sh
-dist-hook:
+# disabled for now.
+dist-hook-a:
mkdir $(distdir)/win
cp $(srcdir)/win/makefile $(distdir)/win/
mkdir $(distdir)/debian
YAZ proxy - A Z39.50/SRW/SRU proxy.
-$Id: README,v 1.1 2004-04-11 11:36:46 adam Exp $
+$Id: README,v 1.2 2004-04-11 11:58:34 adam Exp $
Introduction
------------
Directory structure of the YAZ++ package:
- -- src (C++ library)
+ -- src (YAZ proxy library and application)
-- include/yazproxy (C++ headers for proxy)
-- lib (compiled libraries)
-- win (Windows build files)
-## $Id: Makefile.am,v 1.1 2004-04-11 11:36:53 adam Exp $
+## $Id: Makefile.am,v 1.2 2004-04-11 11:58:34 adam Exp $
docdir=$(datadir)/doc/@PACKAGE@
SUPPORTFILES = \
XMLFILES = \
introduction.xml \
installation.xml \
- zoom.xml \
proxy.xml \
- api.xml \
yaz-proxy-ref.xml \
yaz-proxy-man.sgml \
license.xml \
- yaz++.xml.in
+ yazproxy.xml.in
-TOP=yaz++.xml
+TOP=yazproxy.xml
MANFILES=yaz-proxy.8
HTMLFILES = \
- api.html \
- implementations.html \
installation.html \
introduction.html \
license.html \
record-validation.html \
windows.html \
yaz-proxy.html \
- yaz.license.html \
- yazpp.html \
- zoom-connection.html \
- zoom-exception.html \
- zoom-query.html \
- zoom-record.html \
- zoom-resultset.html \
- zoom.html
+ yazproxy.html
-doc_DATA = $(HTMLFILES) yaz++.pdf id.png yaz.css
+doc_DATA = $(HTMLFILES) yazproxy.pdf id.png yaz.css
man_MANS = $(MANFILES)
yaz-proxy.8: yaz-proxy-man.sgml yaz-proxy-ref.xml
docbook2man $(srcdir)/yaz-proxy-man.sgml
-yazpp.php: $(XMLFILES)
+yazproxy.php: $(XMLFILES)
jade -E14 -D $(srcdir) -d yazphp.dsl -t sgml $(srcdir)/xml.dcl $(TOP)
-yaz++.pdf: $(XMLFILES)
+yazproxy.pdf: $(XMLFILES)
if test ! -f id.png ; then ln -s $(srcdir)/id.png .; fi
jade -E14 -D $(srcdir) -d yazprint.dsl -t tex $(srcdir)/xml.dcl $(TOP)
- pdfjadetex yaz++.tex >pdfjadetex.log 2>&1
- pdfjadetex yaz++.tex >pdfjadetex.log 2>&1
- pdfjadetex yaz++.tex >pdfjadetex.log 2>&1
+ pdfjadetex yazproxy.tex >pdfjadetex.log 2>&1
+ pdfjadetex yazproxy.tex >pdfjadetex.log 2>&1
+ pdfjadetex yazproxy.tex >pdfjadetex.log 2>&1
index.tkl: $(XMLFILES) tkl.xsl
xsltproc tkl.xsl $(TOP)
-# Makefile.in generated by automake 1.7.9 from Makefile.am.
-# @configure_input@
+# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am
-# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
-# Free Software Foundation, Inc.
+# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
-@SET_MAKE@
+
+SHELL = @SHELL@
srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
+prefix = @prefix@
+exec_prefix = @exec_prefix@
+
+bindir = @bindir@
+sbindir = @sbindir@
+libexecdir = @libexecdir@
+datadir = @datadir@
+sysconfdir = @sysconfdir@
+sharedstatedir = @sharedstatedir@
+localstatedir = @localstatedir@
+libdir = @libdir@
+infodir = @infodir@
+mandir = @mandir@
+includedir = @includedir@
+oldincludedir = /usr/include
+
+DESTDIR =
+
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
+
top_builddir = ..
-am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
+ACLOCAL = @ACLOCAL@
+AUTOCONF = @AUTOCONF@
+AUTOMAKE = @AUTOMAKE@
+AUTOHEADER = @AUTOHEADER@
+
INSTALL = @INSTALL@
-install_sh_DATA = $(install_sh) -c -m 644
-install_sh_PROGRAM = $(install_sh) -c
-install_sh_SCRIPT = $(install_sh) -c
-INSTALL_HEADER = $(INSTALL_DATA)
-transform = $(program_transform_name)
+INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
+INSTALL_DATA = @INSTALL_DATA@
+INSTALL_SCRIPT = @INSTALL_SCRIPT@
+transform = @program_transform_name@
+
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
+host_alias = @host_alias@
host_triplet = @host@
-ACLOCAL = @ACLOCAL@
-AMDEP_FALSE = @AMDEP_FALSE@
-AMDEP_TRUE = @AMDEP_TRUE@
-AMTAR = @AMTAR@
AR = @AR@
-AUTOCONF = @AUTOCONF@
-AUTOHEADER = @AUTOHEADER@
-AUTOMAKE = @AUTOMAKE@
-AWK = @AWK@
+AS = @AS@
CC = @CC@
-CCDEPMODE = @CCDEPMODE@
-CFLAGS = @CFLAGS@
CPP = @CPP@
-CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
-CXXDEPMODE = @CXXDEPMODE@
-CXXFLAGS = @CXXFLAGS@
-CYGPATH_W = @CYGPATH_W@
-DEFS = @DEFS@
-DEPDIR = @DEPDIR@
+DLLTOOL = @DLLTOOL@
DSSSL_DIR = @DSSSL_DIR@
DTD_DIR = @DTD_DIR@
ECHO = @ECHO@
-ECHO_C = @ECHO_C@
-ECHO_N = @ECHO_N@
-ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
-FFLAGS = @FFLAGS@
-INSTALL_DATA = @INSTALL_DATA@
-INSTALL_PROGRAM = @INSTALL_PROGRAM@
-INSTALL_SCRIPT = @INSTALL_SCRIPT@
-INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
-LDFLAGS = @LDFLAGS@
-LIBOBJS = @LIBOBJS@
-LIBS = @LIBS@
+GCJ = @GCJ@
+GCJFLAGS = @GCJFLAGS@
+HAVE_LIB = @HAVE_LIB@
+LIB = @LIB@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
-LTLIBOBJS = @LTLIBOBJS@
+LTLIB = @LTLIB@
MAKEINFO = @MAKEINFO@
+OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
-PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-PACKAGE_NAME = @PACKAGE_NAME@
-PACKAGE_STRING = @PACKAGE_STRING@
-PACKAGE_TARNAME = @PACKAGE_TARNAME@
-PACKAGE_VERSION = @PACKAGE_VERSION@
-PATH_SEPARATOR = @PATH_SEPARATOR@
RANLIB = @RANLIB@
-SET_MAKE = @SET_MAKE@
-SHELL = @SHELL@
+RC = @RC@
STRIP = @STRIP@
VERSION = @VERSION@
XSLT_CFLAGS = @XSLT_CFLAGS@
XSLT_LIBS = @XSLT_LIBS@
-YAZINC = @YAZINC@
-YAZLALIB = @YAZLALIB@
-YAZLIB = @YAZLIB@
-YAZPP_BUILD_ROOT = @YAZPP_BUILD_ROOT@
-YAZPP_SRC_ROOT = @YAZPP_SRC_ROOT@
-YAZVERSION = @YAZVERSION@
-ZOOM_FALSE = @ZOOM_FALSE@
-ZOOM_TRUE = @ZOOM_TRUE@
-ac_ct_AR = @ac_ct_AR@
-ac_ct_CC = @ac_ct_CC@
-ac_ct_CXX = @ac_ct_CXX@
-ac_ct_F77 = @ac_ct_F77@
-ac_ct_RANLIB = @ac_ct_RANLIB@
-ac_ct_STRIP = @ac_ct_STRIP@
-am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
-am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
-am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
-am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
-am__include = @am__include@
-am__leading_dot = @am__leading_dot@
-am__quote = @am__quote@
-bindir = @bindir@
-build = @build@
-build_alias = @build_alias@
-build_cpu = @build_cpu@
-build_os = @build_os@
-build_vendor = @build_vendor@
-datadir = @datadir@
-exec_prefix = @exec_prefix@
-host = @host@
-host_alias = @host_alias@
-host_cpu = @host_cpu@
-host_os = @host_os@
-host_vendor = @host_vendor@
-includedir = @includedir@
-infodir = @infodir@
-install_sh = @install_sh@
-libdir = @libdir@
-libexecdir = @libexecdir@
-localstatedir = @localstatedir@
-mandir = @mandir@
-oldincludedir = @oldincludedir@
-prefix = @prefix@
-program_transform_name = @program_transform_name@
-sbindir = @sbindir@
-sharedstatedir = @sharedstatedir@
-sysconfdir = @sysconfdir@
-target_alias = @target_alias@
-yazconfig = @yazconfig@
+YAZPPINC = @YAZPPINC@
+YAZPPLALIB = @YAZPPLALIB@
+YAZPPLIB = @YAZPPLIB@
+YAZPPVERSION = @YAZPPVERSION@
+YAZPROXY_BUILD_ROOT = @YAZPROXY_BUILD_ROOT@
+YAZPROXY_SRC_ROOT = @YAZPROXY_SRC_ROOT@
+yazppconfig = @yazppconfig@
+
docdir = $(datadir)/doc/@PACKAGE@
-SUPPORTFILES = \
- yazhtml.dsl.in \
- yazphp.dsl.in \
- yazprint.dsl.in \
- tkl.xsl.in \
- xml.dcl
-
-XMLFILES = \
- introduction.xml \
- installation.xml \
- zoom.xml \
- proxy.xml \
- api.xml \
- yaz-proxy-ref.xml \
- yaz-proxy-man.sgml \
- license.xml \
- yaz++.xml.in
-
-
-TOP = yaz++.xml
+SUPPORTFILES = yazhtml.dsl.in yazphp.dsl.in yazprint.dsl.in tkl.xsl.in xml.dcl
+
+XMLFILES = introduction.xml installation.xml proxy.xml yaz-proxy-ref.xml yaz-proxy-man.sgml license.xml yazproxy.xml.in
+
+
+TOP = yazproxy.xml
MANFILES = yaz-proxy.8
-HTMLFILES = \
- api.html \
- implementations.html \
- installation.html \
- introduction.html \
- license.html \
- other-optimizations.html \
- otherinfo-encoding.html \
- proxy-config-file.html \
- proxy-keepalive.html \
- proxy-target.html \
- proxy-usage.html \
- proxy.html \
- query-cache.html \
- query-validation.html \
- record-cache.html \
- record-validation.html \
- windows.html \
- yaz-proxy.html \
- yaz.license.html \
- yazpp.html \
- zoom-connection.html \
- zoom-exception.html \
- zoom-query.html \
- zoom-record.html \
- zoom-resultset.html \
- zoom.html
-
-
-doc_DATA = $(HTMLFILES) yaz++.pdf id.png yaz.css
+HTMLFILES = installation.html introduction.html license.html other-optimizations.html otherinfo-encoding.html proxy-config-file.html proxy-keepalive.html proxy-target.html proxy-usage.html proxy.html query-cache.html query-validation.html record-cache.html record-validation.html windows.html yaz-proxy.html yazproxy.html
+
+
+doc_DATA = $(HTMLFILES) yazproxy.pdf id.png yaz.css
man_MANS = $(MANFILES)
EXTRA_DIST = $(SUPPORTFILES) $(XMLFILES) $(doc_DATA) $(man_MANS)
-subdir = doc
-ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
-CONFIG_CLEAN_FILES = yaz++.xml yazprint.dsl yazphp.dsl yazhtml.dsl \
- tkl.xsl
-DIST_SOURCES =
+CONFIG_CLEAN_FILES = yazproxy.xml yazprint.dsl yazphp.dsl yazhtml.dsl \
+tkl.xsl
+man8dir = $(mandir)/man8
+MANS = $(man_MANS)
NROFF = nroff
-MANS = $(man_MANS)
-DATA = $(doc_DATA)
+DATA = $(doc_DATA)
+
+DIST_COMMON = Makefile.am Makefile.in tkl.xsl.in yazhtml.dsl.in \
+yazphp.dsl.in yazprint.dsl.in yazproxy.xml.in
-DIST_COMMON = $(srcdir)/Makefile.in Makefile.am tkl.xsl.in yaz++.xml.in \
- yazhtml.dsl.in yazphp.dsl.in yazprint.dsl.in
-all: all-am
+DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)
+
+TAR = tar
+GZIP_ENV = --best
+all: all-redirect
.SUFFIXES:
-$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
- cd $(top_srcdir) && \
- $(AUTOMAKE) --gnu doc/Makefile
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
- cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
-yaz++.xml: $(top_builddir)/config.status yaz++.xml.in
- cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
+$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
+ cd $(top_srcdir) && $(AUTOMAKE) --gnu doc/Makefile
+
+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
+ cd $(top_builddir) \
+ && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
+
+yazproxy.xml: $(top_builddir)/config.status yazproxy.xml.in
+ cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
yazprint.dsl: $(top_builddir)/config.status yazprint.dsl.in
- cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
+ cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
yazphp.dsl: $(top_builddir)/config.status yazphp.dsl.in
- cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
+ cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
yazhtml.dsl: $(top_builddir)/config.status yazhtml.dsl.in
- cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
+ cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
tkl.xsl: $(top_builddir)/config.status tkl.xsl.in
- cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
-
-mostlyclean-libtool:
- -rm -f *.lo
+ cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
-clean-libtool:
- -rm -rf .libs _libs
-
-distclean-libtool:
- -rm -f libtool
-uninstall-info-am:
-
-man8dir = $(mandir)/man8
-install-man8: $(man8_MANS) $(man_MANS)
- @$(NORMAL_INSTALL)
+install-man8:
$(mkinstalldirs) $(DESTDIR)$(man8dir)
- @list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
- l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
- for i in $$l2; do \
+ @list='$(man8_MANS)'; \
+ l2='$(man_MANS)'; for i in $$l2; do \
case "$$i" in \
*.8*) list="$$list $$i" ;; \
esac; \
if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
else file=$$i; fi; \
ext=`echo $$i | sed -e 's/^.*\\.//'`; \
- case "$$ext" in \
- 8*) ;; \
- *) ext='8' ;; \
- esac; \
inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
- inst=`echo $$inst | sed -e 's/^.*\///'`; \
inst=`echo $$inst | sed '$(transform)'`.$$ext; \
echo " $(INSTALL_DATA) $$file $(DESTDIR)$(man8dir)/$$inst"; \
$(INSTALL_DATA) $$file $(DESTDIR)$(man8dir)/$$inst; \
done
+
uninstall-man8:
- @$(NORMAL_UNINSTALL)
- @list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
- l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
- for i in $$l2; do \
+ @list='$(man8_MANS)'; \
+ l2='$(man_MANS)'; for i in $$l2; do \
case "$$i" in \
*.8*) list="$$list $$i" ;; \
esac; \
done; \
for i in $$list; do \
ext=`echo $$i | sed -e 's/^.*\\.//'`; \
- case "$$ext" in \
- 8*) ;; \
- *) ext='8' ;; \
- esac; \
inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
- inst=`echo $$inst | sed -e 's/^.*\///'`; \
inst=`echo $$inst | sed '$(transform)'`.$$ext; \
echo " rm -f $(DESTDIR)$(man8dir)/$$inst"; \
rm -f $(DESTDIR)$(man8dir)/$$inst; \
done
-docDATA_INSTALL = $(INSTALL_DATA)
+install-man: $(MANS)
+ @$(NORMAL_INSTALL)
+ $(MAKE) $(AM_MAKEFLAGS) install-man8
+uninstall-man:
+ @$(NORMAL_UNINSTALL)
+ $(MAKE) $(AM_MAKEFLAGS) uninstall-man8
+
install-docDATA: $(doc_DATA)
@$(NORMAL_INSTALL)
$(mkinstalldirs) $(DESTDIR)$(docdir)
@list='$(doc_DATA)'; for p in $$list; do \
- if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
- f="`echo $$p | sed -e 's|^.*/||'`"; \
- echo " $(docDATA_INSTALL) $$d$$p $(DESTDIR)$(docdir)/$$f"; \
- $(docDATA_INSTALL) $$d$$p $(DESTDIR)$(docdir)/$$f; \
+ if test -f $(srcdir)/$$p; then \
+ echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(docdir)/$$p"; \
+ $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(docdir)/$$p; \
+ else if test -f $$p; then \
+ echo " $(INSTALL_DATA) $$p $(DESTDIR)$(docdir)/$$p"; \
+ $(INSTALL_DATA) $$p $(DESTDIR)$(docdir)/$$p; \
+ fi; fi; \
done
uninstall-docDATA:
@$(NORMAL_UNINSTALL)
- @list='$(doc_DATA)'; for p in $$list; do \
- f="`echo $$p | sed -e 's|^.*/||'`"; \
- echo " rm -f $(DESTDIR)$(docdir)/$$f"; \
- rm -f $(DESTDIR)$(docdir)/$$f; \
+ list='$(doc_DATA)'; for p in $$list; do \
+ rm -f $(DESTDIR)$(docdir)/$$p; \
done
tags: TAGS
TAGS:
-ctags: CTAGS
-CTAGS:
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
-top_distdir = ..
-distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)
+subdir = doc
distdir: $(DISTFILES)
- @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
- topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
- list='$(DISTFILES)'; for file in $$list; do \
- case $$file in \
- $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
- $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
- esac; \
- if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
- dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
- if test "$$dir" != "$$file" && test "$$dir" != "."; then \
- dir="/$$dir"; \
- $(mkinstalldirs) "$(distdir)$$dir"; \
- else \
- dir=''; \
- fi; \
+ here=`cd $(top_builddir) && pwd`; \
+ top_distdir=`cd $(top_distdir) && pwd`; \
+ distdir=`cd $(distdir) && pwd`; \
+ cd $(top_srcdir) \
+ && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu doc/Makefile
+ @for file in $(DISTFILES); do \
+ d=$(srcdir); \
if test -d $$d/$$file; then \
- if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
- cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
- fi; \
- cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
+ cp -pr $$d/$$file $(distdir)/$$file; \
else \
test -f $(distdir)/$$file \
- || cp -p $$d/$$file $(distdir)/$$file \
- || exit 1; \
+ || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
+ || cp -p $$d/$$file $(distdir)/$$file || :; \
fi; \
done
+info-am:
+info: info-am
+dvi-am:
+dvi: dvi-am
check-am: all-am
check: check-am
-all-am: Makefile $(MANS) $(DATA)
-
-installdirs:
- $(mkinstalldirs) $(DESTDIR)$(man8dir) $(DESTDIR)$(docdir)
-install: install-am
+installcheck-am:
+installcheck: installcheck-am
+install-exec-am:
install-exec: install-exec-am
+
+install-data-am: install-man install-docDATA
install-data: install-data-am
-uninstall: uninstall-am
install-am: all-am
@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
-
-installcheck: installcheck-am
+install: install-am
+uninstall-am: uninstall-man uninstall-docDATA
+uninstall: uninstall-am
+all-am: Makefile $(MANS) $(DATA)
+all-redirect: all-am
install-strip:
- $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
- install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
- `test -z '$(STRIP)' || \
- echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
+ $(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
+installdirs:
+ $(mkinstalldirs) $(DESTDIR)$(mandir)/man8 $(DESTDIR)$(docdir)
+
+
mostlyclean-generic:
clean-generic:
distclean-generic:
- -rm -f $(CONFIG_CLEAN_FILES)
+ -rm -f Makefile $(CONFIG_CLEAN_FILES)
+ -rm -f config.cache config.log stamp-h stamp-h[0-9]*
maintainer-clean-generic:
- @echo "This command is intended for maintainers to use"
- @echo "it deletes files that may require special tools to rebuild."
-clean: clean-am
-
-clean-am: clean-generic clean-libtool mostlyclean-am
-
-distclean: distclean-am
- -rm -f Makefile
-distclean-am: clean-am distclean-generic distclean-libtool
-
-dvi: dvi-am
-
-dvi-am:
-
-info: info-am
-
-info-am:
-
-install-data-am: install-docDATA install-man
-
-install-exec-am:
-
-install-info: install-info-am
-
-install-man: install-man8
-
-installcheck-am:
-
-maintainer-clean: maintainer-clean-am
- -rm -f Makefile
-maintainer-clean-am: distclean-am maintainer-clean-generic
+mostlyclean-am: mostlyclean-generic
mostlyclean: mostlyclean-am
-mostlyclean-am: mostlyclean-generic mostlyclean-libtool
-
-pdf: pdf-am
+clean-am: clean-generic mostlyclean-am
-pdf-am:
+clean: clean-am
-ps: ps-am
+distclean-am: distclean-generic clean-am
+ -rm -f libtool
-ps-am:
+distclean: distclean-am
-uninstall-am: uninstall-docDATA uninstall-info-am uninstall-man
+maintainer-clean-am: maintainer-clean-generic distclean-am
+ @echo "This command is intended for maintainers to use;"
+ @echo "it deletes files that may require special tools to rebuild."
-uninstall-man: uninstall-man8
+maintainer-clean: maintainer-clean-am
-.PHONY: all all-am check check-am clean clean-generic clean-libtool \
- distclean distclean-generic distclean-libtool distdir dvi \
- dvi-am info info-am install install-am install-data \
- install-data-am install-docDATA install-exec install-exec-am \
- install-info install-info-am install-man install-man8 \
- install-strip installcheck installcheck-am installdirs \
- maintainer-clean maintainer-clean-generic mostlyclean \
- mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
- uninstall uninstall-am uninstall-docDATA uninstall-info-am \
- uninstall-man uninstall-man8
+.PHONY: install-man8 uninstall-man8 install-man uninstall-man \
+uninstall-docDATA install-docDATA tags distdir info-am info dvi-am dvi \
+check check-am installcheck-am installcheck install-exec-am \
+install-exec install-data-am install-data install-am install \
+uninstall-am uninstall all-redirect all-am all installdirs \
+mostlyclean-generic distclean-generic clean-generic \
+maintainer-clean-generic clean mostlyclean distclean maintainer-clean
$(HTMLFILES): $(XMLFILES)
yaz-proxy.8: yaz-proxy-man.sgml yaz-proxy-ref.xml
docbook2man $(srcdir)/yaz-proxy-man.sgml
-yazpp.php: $(XMLFILES)
+yazproxy.php: $(XMLFILES)
jade -E14 -D $(srcdir) -d yazphp.dsl -t sgml $(srcdir)/xml.dcl $(TOP)
-yaz++.pdf: $(XMLFILES)
+yazproxy.pdf: $(XMLFILES)
if test ! -f id.png ; then ln -s $(srcdir)/id.png .; fi
jade -E14 -D $(srcdir) -d yazprint.dsl -t tex $(srcdir)/xml.dcl $(TOP)
- pdfjadetex yaz++.tex >pdfjadetex.log 2>&1
- pdfjadetex yaz++.tex >pdfjadetex.log 2>&1
- pdfjadetex yaz++.tex >pdfjadetex.log 2>&1
+ pdfjadetex yazproxy.tex >pdfjadetex.log 2>&1
+ pdfjadetex yazproxy.tex >pdfjadetex.log 2>&1
+ pdfjadetex yazproxy.tex >pdfjadetex.log 2>&1
index.tkl: $(XMLFILES) tkl.xsl
xsltproc tkl.xsl $(TOP)
clean-data-hook:
rm -f [0-9]* *.bak
+
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
<chapter id="installation">
- <!-- $Id: installation.xml,v 1.1 2004-04-11 11:36:52 adam Exp $ -->
+ <!-- $Id: installation.xml,v 1.2 2004-04-11 11:58:34 adam Exp $ -->
<title>Installation</title>
<para>
- You need a C++ compiler to compile and use YAZ++.
+ You need a C++ compiler to compile and use YAZ proxy.
The software was implemented using GCC so we know that works
- well with YAZ++. From time to time the software has been
+ well with YAZ proxy. From time to time the software has been
compiled on Windows using Visual C++. Other compilers should
work too. Let us know of portability problems, etc. with
your system.
</para>
<para>
- YAZ++ is built on top of the
- <ulink url="http://indexdata.dk/yaz/">YAZ</ulink>
- toolkit.
- You need to install that first.
- For some platforms there are binary packages for YAZ.
+ YAZ proxy is built on top of the
+ <ulink url="http://indexdata.dk/yaz/">YAZ</ulink> and
+ <ulink url="http://indexdata.dk/yazplusplus/">YAZ++</ulink>
+ toolkits.
+ You need to install these first.
+ For some platforms there are binary packages for YAZ/YAZ++.
</para>
<section id="unix">
<title>Building on Unix</title>
</para></listitem>
</varlistentry>
<varlistentry>
- <term><literal>--with-yazconfig </literal>directory</term>
+ <term><literal>--with-yazppconfig </literal>directory</term>
<listitem><para>
- Specifies the location of <filename>yaz-config</filename>.
- The <filename>yaz-config</filename> program is generated in
- the source directory of YAZ as well as the binaries
- directory when YAZ is installed (via make install).
+ Specifies the location of <filename>yaz++-config</filename>.
+ The <filename>yaz++-config</filename> program is generated in
+ the source directory of YAZ++ as well as the binaries
+ directory when YAZ++ is installed (via make install).
</para>
<para>
If you don't supply this option, <literal>configure</literal> will
- look for <filename>yaz-config</filename> in directories of the
+ look for <filename>yaz++-config</filename> in directories of the
<envar>PATH</envar> environment - which is nearly always
what you want.
</para></listitem>
This is what you have after successful compilation:
<variablelist>
<varlistentry>
- <term><literal>proxy/yaz-proxy</literal></term>
+ <term><literal>src/yazproxy</literal></term>
<listitem><para>
The YAZ <link linkend="proxy">Z39.50 Proxy</link>.
This program gets installed in your binaries directory
</varlistentry>
<varlistentry>
- <term><literal>src/libyazcpp.la</literal></term>
- <listitem><para>
- The YAZ++ library.
- This library gets installed in your libraries directory
- (<parameter>prefix</parameter><literal>/lib</literal>).
- </para></listitem>
- </varlistentry>
-
- <varlistentry>
- <term><literal>src/libzoomcpp.la</literal></term>
- <listitem><para>
- The <link linkend="zoom">ZOOM-C++</link> library.
- This library gets installed in your libraries directory
- (<parameter>prefix</parameter><literal>/lib</literal>).
- </para></listitem>
- </varlistentry>
-
- <varlistentry>
- <term><literal>proxy/libyazproxy.la</literal></term>
+ <term><literal>src/libyazproxy.la</literal></term>
<listitem><para>
The YAZ proxy library. This library gets installed in
your libraries directory
</varlistentry>
<varlistentry>
- <term><literal>include/yaz++/*.h</literal></term>
+ <term><literal>include/yazproxy/*.h</literal></term>
<listitem><para>
- Various C++ header files, which you'll need for YAZ++
+ Various C++ header files, which you'll need for YAZ proxy
development. All these are installed in your header files area
- (<parameter>prefix</parameter><literal>/include/yaz++</literal>).
+ (<parameter>prefix</parameter><literal>/include/yazproxy</literal>).
</para></listitem>
</varlistentry>
- <varlistentry>
- <term><literal>yaz++-config</literal></term>
- <listitem><para>
- A Bourne shell-script utility that returns the values of the
- <envar>CFLAGS</envar> and <envar>LIBS</envar>
- environment variables
- needed in order to compile your applications with the YAZ++
- library. This script gets installed in your binaries directory
- (<parameter>prefix</parameter><literal>/bin</literal>).
- </para></listitem>
- </varlistentry>
-
- <varlistentry>
- <term><literal>zoom/zclient</literal></term>
- <listitem><para>
- ZOOM C++ demonstration client that uses the ZOOM C++ classes.
- This client does not get installed in the system directories.
- </para></listitem>
- </varlistentry>
-
- <varlistentry>
- <term><literal>src/yaz-my-client</literal></term>
- <listitem><para>
- YAZ C++ demonstration client. This client does not
- get installed in the system directories.
- </para></listitem>
- </varlistentry>
-
- <varlistentry>
- <term><literal>src/yaz-my-server</literal></term>
- <listitem><para>
- YAZ C++ demonstration server. This server does not
- get installed in the system directories.
- </para></listitem>
- </varlistentry>
</variablelist>
</para>
</section>
The following files are generated upon successful compilation:
<variablelist>
- <varlistentry><term><filename>bin/yazpp.dll</filename></term>
- <listitem><para>
- YAZ++ DLL . Includes ZOOM C++ as well.
- </para></listitem></varlistentry>
-
- <varlistentry><term><filename>lib/yaz.lib</filename></term>
- <listitem><para>
- Import library for <filename>yazpp.dll</filename>.
- </para></listitem></varlistentry>
-
<varlistentry><term><filename>bin/yazproxy.dll</filename></term>
<listitem><para>
YAZ proxy DLL.
Import library for <filename>yazproxy.dll</filename>.
</para></listitem></varlistentry>
- <varlistentry><term><filename>bin/yaz-proxy.exe</filename></term>
+ <varlistentry><term><filename>bin/yazproxy.exe</filename></term>
<listitem><para>
YAZ proxy. It's a WIN32 console application.
See <xref linkend="proxy"/> for more information.
</para></listitem></varlistentry>
- <varlistentry><term><filename>bin/zclient.exe</filename></term>
- <listitem><para>
- ZOOM C++ demo client. A simple WIN32 console application.
- </para></listitem></varlistentry>
-
</variablelist>
</para>
sgml-always-quote-attributes:t
sgml-indent-step:1
sgml-indent-data:t
- sgml-parent-document: "yaz++.xml"
+ sgml-parent-document: "yazproxy.xml"
sgml-local-catalogs: nil
sgml-namecase-general:t
End:
-<!-- $Id: introduction.xml,v 1.1 2004-04-11 11:36:52 adam Exp $ -->
+<!-- $Id: introduction.xml,v 1.2 2004-04-11 11:58:34 adam Exp $ -->
<chapter id="introduction"><title>Introduction</title>
<para>
- <ulink url="http://www.indexdata.dk/yazplusplus/">YAZ++</ulink>
- is a C++ layer for YAZ and implements the ANSI Z39.50
+ <ulink url="http://www.indexdata.dk/yazplusplus/">YAZ proxy</ulink>
+ is a Z39.50/SRW/SRU proxy. The proxy accepts connections from
protocol for information retrieval (client and server side).
While YAZ itself can be used from both C and C++ it is limited by the
common denominator C.
</para>
- <para>
- The YAZ++ packages also features a ZOOM interface for C++ (
- <ulink url="(http://zoom.z3950.org/bind/cplusplus/">ZOOM C++</ulink>).
- </para>
- <para>
- Later versions (0.7+) of YAZ++ also supports SRW/SRU.
- </para>
- <para>
- This package also contains a proxy application and proxy developer
- library.
- The proxy application can be used to debug existing Z39.50
- implementations, optimize Z39.50 operation (by caching and other
- mechanisms), and offer a SRW/SRU service.
- </para>
-
<section>
<title>Licensing</title>
<para>
The proxy application and the proxy library is covered by the
<link linkend="gpl">GPL</link>.
- The remaning parts: the ZOOM-C++ library and the YAZ++ library is covered
- by the <link linkend="yaz.license">YAZ license</link>.
</para>
</section>
</chapter>
sgml-always-quote-attributes:t
sgml-indent-step:1
sgml-indent-data:t
- sgml-parent-document:"yaz++.xml"
+ sgml-parent-document:"yazproxy.xml"
sgml-local-catalogs: nil
sgml-namecase-general:t
End:
-<!-- $Id: license.xml,v 1.1 2004-04-11 11:36:52 adam Exp $ -->
+<!-- $Id: license.xml,v 1.2 2004-04-11 11:58:34 adam Exp $ -->
<appendix id="license"><title>License</title>
<section id="gpl"><title>GPL</title>
</screen>
</section>
</section>
-
- <section id="yaz.license"><title>YAZ License</title>
-
- <para>
- Copyright © 1999-2004 Index Data Aps and Mike Taylor.
- </para>
-
- <para>
- Permission to use, copy, modify, distribute, and sell this
- software and its documentation, in whole or in part, for any
- purpose, is hereby granted, provided that:
- </para>
-
- <para>
- 1. This copyright and permission notice appear in all copies of the
- software and its documentation. Notices of copyright or attribution
- which appear at the beginning of any file must remain unchanged.
- </para>
-
- <para>
- 2. The names of Index Data or the individual authors may not be used to
- endorse or promote products derived from this software without specific
- prior written permission.
- </para>
-
- <para>
- THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT WARRANTY OF ANY KIND,
- EXPRESS, IMPLIED, OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
- WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
- IN NO EVENT SHALL INDEX DATA BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
- INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES
- WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR
- NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF
- LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
- OF THIS SOFTWARE.
- </para>
- </section>
</appendix>
<!-- Keep this comment at the end of the file
sgml-always-quote-attributes:t
sgml-indent-step:1
sgml-indent-data:t
- sgml-parent-document: "yaz++.xml"
+ sgml-parent-document: "yazproxy.xml"
sgml-local-catalogs: nil
sgml-namecase-general:t
End:
--- /dev/null
+<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook V4.1//EN" [
+ <!ENTITY yaz-proxy-ref SYSTEM "yaz-proxy-ref.xml">
+]>
+<!-- $Id: yaz-proxy-man.sgml,v 1.1 2004-04-11 11:58:34 adam Exp $ -->
+<refentry id="yaz-proxy">
+ &yaz-proxy-ref;
+ <refsect1><title>SEE ALSO</title>
+ <para>
+ <citerefentry>
+ <refentrytitle>yaz</refentrytitle>
+ <manvolnum>7</manvolnum>
+ </citerefentry>
+ <citerefentry>
+ <refentrytitle>yaz-client</refentrytitle>
+ <manvolnum>1</manvolnum>
+ </citerefentry>
+ </para>
+ </refsect1>
+</refentry>
+ <!-- Keep this comment at the end of the file
+ Local variables:
+ mode: sgml
+ sgml-omittag:t
+ sgml-shorttag:t
+ sgml-minimize-attributes:nil
+ sgml-always-quote-attributes:t
+ sgml-indent-step:1
+ sgml-indent-data:t
+ sgml-parent-document: nil
+ sgml-local-catalogs: nil
+ sgml-namecase-general:t
+ End:
+ -->
--- /dev/null
+
+.table table {
+ border-collapse;
+ border: 1px solid black;
+ border-spacing: 0;
+ width: 94%;
+ margin-left: auto;
+ margin-right: 0;
+}
+
+.author {
+ font-style: italic;
+}
+
+.TITLEPAGE, .LOT, .TOC {
+ font-family: sans-serif;
+}
+
+.TITLEPAGE .abstract {
+ margin: 0 150px 1em 0;
+ font-style: oblique;
+}
+
+.TITLEPAGE .inlinemediaobject {
+ position: absolute;
+ top: 60px;
+ right: 0;
+ width: 140px;
+}
+
+.table th {
+ padding: 3px 6px;
+ border: 1px solid black;
+}
+.table td {
+ text-align: left;
+ padding: 3px 6px;
+}
+
+h1, h3, h4 {
+ font-family: sans-serif;
+}
+
+h2 {
+ font-style: italic;
+ font-family: sans-serif;
+}
+
+.figure b, .table b, .example b {
+ font-style: italic;
+}
+
+.example , .figure {
+ margin-left: 3%;
+}
+
+.screen, .synopsis, .programlisting {
+ margin-left: 6%;
+ padding: 4px;
+ border-style: solid;
+ border-width: 1px;
+ border-color: #bbbbbb;
+}
<!ENTITY yaz-proxy-ref SYSTEM "yaz-proxy-ref.xml">
<!ENTITY app-license SYSTEM "license.xml">
]>
-<!-- $Id: yazproxy.xml.in,v 1.1 2004-04-11 11:36:52 adam Exp $ -->
-<book id="yazpp">
+<!-- $Id: yazproxy.xml.in,v 1.2 2004-04-11 11:58:34 adam Exp $ -->
+<book id="yazproxy">
<bookinfo>
- <title>YAZ++ User's Guide and Reference</title>
+ <title>YAZ proxy User's Guide and Reference</title>
<authorgroup>
<author><firstname>Mike</firstname><surname>Taylor</surname></author>
<author><firstname>Adam</firstname><surname>Dickmeiss</surname></author>
<year>2002</year>
<year>2003</year>
<year>2004</year>
- <holder>Index Data Aps and Mike Taylor</holder>
+ <holder>Index Data Aps</holder>
</copyright>
<abstract>
<simpara>
This manual covers version @VERSION@.
</simpara>
<simpara>
- CVS ID: $Id: yazproxy.xml.in,v 1.1 2004-04-11 11:36:52 adam Exp $
+ CVS ID: $Id: yazproxy.xml.in,v 1.2 2004-04-11 11:58:34 adam Exp $
</simpara>
<simpara>
<inlinemediaobject>
&chap-introduction;
&chap-installation;
&chap-proxy;
- &chap-api;
&app-license;
</book>
--- /dev/null
+#!/bin/sh
+# $Id: yaz-proxy.sh,v 1.1 2004-04-11 11:58:34 adam Exp $
+# YAZ proxy start/stop init.d script.
+#
+PATH=/usr/local/bin:/bin:/usr/bin
+export PATH
+
+# Proxy CWD is here. Should be writable by it.
+DIR=/var/yaz-proxy
+# Proxy Path
+DAEMON=/usr/local/bin/yaz-proxy
+
+# Proxy PIDFILE. Must be writable by it.
+PIDFILE="/var/run/yaz-proxy.pid"
+
+# Log file
+LOGFILE=/var/log/yaz-proxy.log
+
+# Port
+PORT=9000
+
+# Run as this user. Set to empty to keep uid as is
+RUNAS=nobody
+
+# Extra args . Config file _WITH_ option
+ARGS="-c config.xml"
+
+if test -n "RUNAS"; then
+ ARGS="-u $RUNAS $ARGS"
+fi
+
+# Increase number of sockets, if needed
+#ulimit -n 1050
+
+# Name, Description (not essential)
+NAME=yaz-proxy
+DESC="YAZ proxy"
+
+test -d $DIR || exit 0
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ printf "%s" "Starting $DESC: "
+ cd $DIR
+ $DAEMON -l $LOGFILE -p $PIDFILE $ARGS @:$PORT &
+ echo "$NAME."
+ ;;
+ stop)
+ printf "%s" "Stopping $DESC: "
+
+ if test -f $PIDFILE; then
+ kill `cat $PIDFILE`
+ rm -f $PIDFILE
+ echo "$NAME."
+ else
+ echo "No PID $PIDFILE"
+ fi
+ ;;
+ reload)
+ if test -f $PIDFILE; then
+ kill -HUP `cat $PIDFILE`
+ fi
+ ;;
+ restart|force-reload)
+ printf "%s" "Restarting $DESC: "
+ if test -f $PIDFILE; then
+ kill `cat $PIDFILE`
+ rm -f $PIDFILE
+ fi
+ sleep 1
+ cd $DIR
+ $DAEMON -l $LOGFILE -p $PIDFILE $ARGS @:$PORT &
+ echo "$NAME."
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
-/* $Id: proxy.h,v 1.1 2004-04-11 11:37:01 adam Exp $
+/* $Id: proxy.h,v 1.2 2004-04-11 11:58:34 adam Exp $
Copyright (c) 1998-2004, Index Data.
This file is part of the yaz-proxy.
#include <yaz++/z-databases.h>
#include <yaz++/cql2rpn.h>
#include <yaz/cql.h>
-#include <yaz++/proxy/bw.h>
+#include <yazproxy/bw.h>
#if HAVE_XSLT
#include <libxml/parser.h>
#include <libxml/tree.h>
-## $Id: Makefile.am,v 1.1 2004-04-11 11:36:46 adam Exp $
+## $Id: Makefile.am,v 1.2 2004-04-11 11:58:35 adam Exp $
-AM_CXXFLAGS = $(YAZINC) -I$(srcdir)/../include $(XSLT_CFLAGS)
+AM_CXXFLAGS = $(YAZPPINC) -I$(srcdir)/../include $(XSLT_CFLAGS)
lib_LTLIBRARIES = libyazproxy.la
libyazproxy_la_LDFLAGS=-version-info 1:0:0
libyazproxy_la_SOURCES= yaz-proxy.cpp yaz-proxy-config.cpp yaz-bw.cpp
-bin_PROGRAMS = yaz-proxy
+bin_PROGRAMS = yazproxy
-yaz_proxy_SOURCES=yaz-proxy-main.cpp
+yazproxy_SOURCES=yaz-proxy-main.cpp
-LDADD=libyazproxy.la ../src/libyazcpp.la $(YAZLALIB) $(XSLT_LIBS)
+LDADD=libyazproxy.la $(YAZPPLALIB) $(XSLT_LIBS)
libyazproxy_la_LIBADD = $(XSLT_LIBS)
-/* $Id: yaz-bw.cpp,v 1.1 2004-04-11 11:36:46 adam Exp $
+/* $Id: yaz-bw.cpp,v 1.2 2004-04-11 11:58:35 adam Exp $
Copyright (c) 1998-2004, Index Data.
This file is part of the yaz-proxy.
#include <time.h>
#include <yaz/log.h>
-#include <yaz++/proxy/bw.h>
+#include <yazproxy/bw.h>
Yaz_bw::Yaz_bw(int sz)
{
-/* $Id: yaz-proxy-config.cpp,v 1.1 2004-04-11 11:36:47 adam Exp $
+/* $Id: yaz-proxy-config.cpp,v 1.2 2004-04-11 11:58:35 adam Exp $
Copyright (c) 1998-2004, Index Data.
This file is part of the yaz-proxy.
#include <ctype.h>
#include <yaz/log.h>
-#include <yaz++/proxy/proxy.h>
+#include <yazproxy/proxy.h>
Yaz_ProxyConfig::Yaz_ProxyConfig()
{
-/* $Id: yaz-proxy-main.cpp,v 1.1 2004-04-11 11:36:47 adam Exp $
+/* $Id: yaz-proxy-main.cpp,v 1.2 2004-04-11 11:58:35 adam Exp $
Copyright (c) 1998-2004, Index Data.
This file is part of the yaz-proxy.
#include <yaz++/socket-manager.h>
#include <yaz++/pdu-assoc.h>
-#include <yaz++/proxy/proxy.h>
+#include <yazproxy/proxy.h>
void usage(char *prog)
{
-/* $Id: yaz-proxy.cpp,v 1.1 2004-04-11 11:36:52 adam Exp $
+/* $Id: yaz-proxy.cpp,v 1.2 2004-04-11 11:58:35 adam Exp $
Copyright (c) 1998-2004, Index Data.
This file is part of the yaz-proxy.
#include <yaz/yaz-iconv.h>
#include <yaz/log.h>
#include <yaz/diagbib1.h>
-#include <yaz++/proxy/proxy.h>
+#include <yazproxy/proxy.h>
#include <yaz/pquery.h>
static const char *apdu_name(Z_APDU *apdu)